Class | SOAP::HTTPStreamHandler
In: | soap/streamHandler.rb
Parent: | StreamHandler

### Methods

accept_encoding_gzip= inspect new reset send test_loopback_response

### Included Modules

SOAP

### Constants

Client | = | HTTPAccess2::Client
RETRYABLE | = | true
Client | = | SOAP::NetHttpClient
RETRYABLE | = | false
MAX_RETRY_COUNT | = | 10

### Attributes

client | [R] |
wiredump_file_base | [RW] |

### Public Class methods

new(options)

[Source]

    # File soap/streamHandler.rb, line 83
      def initialize(options)
        super()
        @client = Client.new(nil, "SOAP4R/#{ Version }")
        @wiredump_file_base = nil
        @charset = @wiredump_dev = nil
        @options = options
        set_options
        @client.debug_dev = @wiredump_dev
        @cookie_store = nil
        @accept_encoding_gzip = false
      end

### Public Instance methods

accept_encoding_gzip=(allow)

[Source]

    # File soap/streamHandler.rb, line 99
      def accept_encoding_gzip=(allow)
        @accept_encoding_gzip = allow
      end

inspect()

[Source]

    # File soap/streamHandler.rb, line 103
      def inspect
        "#<#{self.class}>"
      end

reset(endpoint_url = nil)

[Source]

    # File soap/streamHandler.rb, line 112
      def reset(endpoint_url = nil)
        if endpoint_url.nil?
          @client.reset_all
        else
          @client.reset(endpoint_url)
        end
        @client.save_cookie_store if @cookie_store
      end

send(endpoint_url, conn_data, soapaction = nil, charset = @charset)

[Source]

    # File soap/streamHandler.rb, line 107
      def send(endpoint_url, conn_data, soapaction = nil, charset = @charset)
        conn_data.soapaction ||= soapaction # for backward conpatibility
        send_post(endpoint_url, conn_data, charset)
      end

test_loopback_response()

[Source]

    # File soap/streamHandler.rb, line 95
      def test_loopback_response
        @client.test_loopback_response
      end

[Validate]